%include	/usr/lib/rpm/macros.perl
Summary:	Shell tool for executing jobs in parallel
Name:		parallel
Version:	20140522
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
# Source0-md5:	581ec94b81121bb923ce0aa47df516ae
URL:		http://www.gnu.org/software/parallel/
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Parallel is a shell tool for executing jobs in parallel using one
or more machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The
typical input is a list of files, a list of hosts, a list of users, or
a list of tables.

If you use xargs today you will find GNU Parallel very easy to use. If
you write loops in shell, you will find GNU Parallel may be able to
replace most of the loops and make them run faster by running jobs in
parallel. If you use ppss or pexec you will find GNU Parallel will
often make the command easier to read.

GNU Parallel also makes sure output from the commands is the same
output as you would get had you run the commands sequentially. This
makes it possible to use output from GNU Parallel as input for other
programs.

GNU Parallel is command-line-compatible with moreutils' parallel, but
offers additional features.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/parallel
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_mandir}/man1/{sql,parallel-sql}.1
:> $RPM_BUILD_ROOT%{_sysconfdir}/parallel/config
rm -rv $RPM_BUILD_ROOT%{_docdir}/parallel

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%doc src/parallel.html src/sem.html src/sql.html src/niceload.html
%doc src/*.texi
%dir %{_sysconfdir}/parallel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/parallel/config
%attr(755,root,root) %{_bindir}/parallel
%attr(755,root,root) %{_bindir}/sem
%attr(755,root,root) %{_bindir}/sql
%attr(755,root,root) %{_bindir}/niceload
%{_mandir}/man1/niceload.1*
%{_mandir}/man1/parallel.1*
%{_mandir}/man1/sem.1*
%{_mandir}/man1/parallel-sql.1*
%{_mandir}/man1/parallel_tutorial.1*
%changelog
* Sat Jul 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/parallel.git;a=log;h=master

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> cb7e451
- up to 20140522

* Thu Apr 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 32b2313
- up to 20140422

* Mon Dec 30 2013 Elan Ruusamäe <glen@delfi.ee> 8027a40
- pld fixes

* Sun Dec 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a10c02
- initial

